# Cloud SQL Administration API . flags

## Instance Methods

List all available database flags for Google Cloud SQL instances.

### Method Details

`list()`

    List all available database flags for Google Cloud SQL instances.

    Args:

    Returns:
      An object of the form:

        { # Flags list response.
        "items": [ # List of flags.
          { # A Google Cloud SQL service flag resource.
            "kind": "sql#flag", # This is always sql#flag.
            "name": "A String", # This is the name of the flag. Flag names always use underscores, not hyphens, e.g. max_allowed_packet
            "allowedStringValues": [ # For STRING flags, a list of strings that the value can be set to.
              "A String",
            ],
            "requiresRestart": True or False, # Indicates whether changing this flag will trigger a database restart. Only applicable to Second Generation instances.
            "appliesTo": [ # The database version this flag applies to. Can be MYSQL_5_5, MYSQL_5_6, or MYSQL_5_7. MYSQL_5_7 is applicable only to Second Generation instances.
              "A String",
            ],
            "maxValue": "A String", # For INTEGER flags, the maximum allowed value.
            "minValue": "A String", # For INTEGER flags, the minimum allowed value.
            "type": "A String", # The type of the flag. Flags are typed to being BOOLEAN, STRING, INTEGER or NONE. NONE is used for flags which do not take a value, such as skip_grant_tables.
          },
        ],
        "kind": "sql#flagsList", # This is always sql#flagsList.
      }